# Laser Game by Palu-IoT, Inc  

Ce Laser Game est un l'un des premiers basé sur le principe de l'IoT. 
Il est basé sur l'idée de libre customisation des armes d'une partie mais a un faible coup grace a l'utilisation d'ESP8266 comme base.
Ainsi, les composants interne peuvent varrier premettre l'utilisation d'un meilleure laser ou d'une photoresistance de moins bonne qualité ...
Mais aussi un choix beaucoup plus varier grace a l'impression 3D des boitiers.

Le systeme utilise des WebSockets pour communiqué entre les participants et le serveur.

## Installation 

### Le Serveur et le Client

### L'ESP8266

#### Software

Pour installer l'ESP8266 il faut d'abord rendre Arduino IDE capable de compilé pour l'ESP
Pour cela, je vous conseille ce petit tuto pour installée les bonnes dependances.

Une fois cela fait il va falloir telechargé la bibliotheque de WebSocket pour permettre la communication
Pour utiliser cette bibliothèque, ouvrez le gestionnaire de bibliothèque dans l'IDE Arduino et installez-le à partir de là.
Cherchez dans la barre de recherche `WebSockets` et installer celui de `Markus Sattler`.

Une fois cela fait vous etes presque prés a televerse le code presents dans le dossier LaserGameV2 recuperrable dans le dossier Arduino. 
Avance cela n'oublier pas de mettre le nom du wifi et le mots de passe dans le fichier `arduino_secrets.h` dans le dossier LaserGameV2.

Maintenent on peux televersé le code sur l'ESP. Pour verifer que tout fonction n'hesité pas ouvrir le Moniteur de Serie sur la frequence 115200.

#### Hardware

